# -*- coding: iso-8859-1 -*-

###
### This file is generated automatically by SALOME v7.4.0 with dump python functionality
###

import sys
import salome

salome.salome_init()
theStudy = salome.myStudy

import salome_notebook

###
### GEOM component
###

import GEOM
from salome.geom import geomBuilder
import math
import SALOMEDS
# for checking and creating folders
import os.path 
# for script path
import inspect

# location of script
path = os.path.dirname(os.path.abspath(inspect.getfile(inspect.currentframe())))

geompy = geomBuilder.New(theStudy)

O = geompy.MakeVertex(0, 0, 0)
OX = geompy.MakeVectorDXDYDZ(1, 0, 0)
OY = geompy.MakeVectorDXDYDZ(0, 1, 0)
OZ = geompy.MakeVectorDXDYDZ(0, 0, 1)
O_1 = geompy.MakeVertex(0, 0, 0)
OX_1 = geompy.MakeVectorDXDYDZ(1, 0, 0)
OY_1 = geompy.MakeVectorDXDYDZ(0, 1, 0)
OZ_1 = geompy.MakeVectorDXDYDZ(0, 0, 1)

Box_1 = geompy.MakeBoxDXDYDZ(9000, 4000, 2000)
geompy.TranslateDXDYDZ(Box_1, -2000, -2000, 0)
listSubShapeIDs = geompy.SubShapeAllIDs(Box_1, geompy.ShapeType["FACE"])
listSubShapeIDs = geompy.SubShapeAllIDs(Box_1, geompy.ShapeType["FACE"])
listSubShapeIDs = geompy.SubShapeAllIDs(Box_1, geompy.ShapeType["FACE"])
listSubShapeIDs = geompy.SubShapeAllIDs(Box_1, geompy.ShapeType["FACE"])
Inlet = geompy.CreateGroup(Box_1, geompy.ShapeType["FACE"])
geompy.UnionIDs(Inlet, [3])
Outlet = geompy.CreateGroup(Box_1, geompy.ShapeType["FACE"])
geompy.UnionIDs(Outlet, [13])
Bottom = geompy.CreateGroup(Box_1, geompy.ShapeType["FACE"])
geompy.UnionIDs(Bottom, [31])
Slip = geompy.CreateGroup(Box_1, geompy.ShapeType["FACE"])
geompy.UnionIDs(Slip, [23, 27, 33])
Box_2 = geompy.MakeBoxDXDYDZ(1044, 389, 288)
geompy.TranslateDXDYDZ(Box_2, 0, -194.5, 50)
Fillet_1 = geompy.MakeFillet(Box_2, 100, geompy.ShapeType["EDGE"], [5, 8, 10, 12])
#Slant_angle is changed trough SalomePythonScriptReader
Chamfer_1 = geompy.MakeChamferEdgeAD(Fillet_1, math.cos(Slant_angle*(math.pi/180))*222, Slant_angle*(math.pi/180), 46, 54)
# Get Id's of all faces that make ahmed body	
Ids = geompy.SubShapeAllIDs(Chamfer_1,geompy.ShapeType["FACE"])
Ahmed = geompy.CreateGroup(Chamfer_1, geompy.ShapeType["FACE"])
geompy.UnionIDs(Ahmed, Ids)
geompy.addToStudy( O, 'O' )
geompy.addToStudy( OX, 'OX' )
geompy.addToStudy( OY, 'OY' )
geompy.addToStudy( OZ, 'OZ' )
geompy.addToStudy( O_1, 'O' )
geompy.addToStudy( OX_1, 'OX' )
geompy.addToStudy( OY_1, 'OY' )
geompy.addToStudy( OZ_1, 'OZ' )
geompy.addToStudy( Box_1, 'Box_1' )
geompy.addToStudyInFather( Box_1, Inlet, 'Inlet' )
geompy.addToStudyInFather( Box_1, Outlet, 'Outlet' )
geompy.addToStudyInFather( Box_1, Bottom, 'Bottom' )
geompy.addToStudyInFather( Box_1, Slip, 'Slip' )
geompy.addToStudy( Box_2, 'Box_2' )
geompy.addToStudy( Fillet_1, 'Fillet_1' )
geompy.addToStudy( Chamfer_1, 'Chamfer_1' )
geompy.addToStudyInFather( Chamfer_1, Ahmed, 'Ahmed' )
if salome.sg.hasDesktop():
  salome.sg.updateObjBrowser(1)
# Export the geometry
geompy.Export(Ahmed, "%s/Ahmed.stl" % path, "STL_ASCII")
geompy.Export(Bottom, "%s/Bottom.stl" % path, "STL_ASCII")
geompy.Export(Inlet, "%s/Inlet.stl" % path, "STL_ASCII")
geompy.Export(Outlet, "%s/Outlet.stl" % path, "STL_ASCII")
geompy.Export(Slip, "%s/Slip.stl" % path, "STL_ASCII")




